> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Brand Standard



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/brand-standards/weblink-imports
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/brand-standards/weblink-imports:
    post:
      tags:
        - Weblink Imports
      summary: Create Brand Standard
      operationId: WeblinkImportsController_createBrandStandard_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBrandStandardWeblinkImportDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandStandardWeblinkImportResponseDto'
components:
  schemas:
    CreateBrandStandardWeblinkImportDto:
      type: object
      properties:
        categoryId:
          type: string
        url:
          type: string
          minLength: 1
          maxLength: 2048
        clientImportId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        productTypeId:
          type: string
        refNumber:
          type: string
          pattern: ^[A-Z]{2,4}-\d{3,6}$
      required:
        - categoryId
        - url
        - clientImportId
        - productTypeId
        - refNumber
      additionalProperties: false
    BrandStandardWeblinkImportResponseDto:
      type: object
      properties:
        brandStandardId:
          type: string
        familyId:
          type: string
        unmappedFields:
          type: array
          items:
            $ref: '#/components/schemas/UnmappedWeblinkFieldDto'
      required:
        - brandStandardId
        - familyId
        - unmappedFields
    UnmappedWeblinkFieldDto:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
      required:
        - field
        - value

````